%define major 3
%define libname %mklibname %{name} %{major}
%define develibname %mklibname -d %{name}

Summary:        A freely licensed alternative to the GLUT library
Name:           freeglut
Version:        3.0.0
Release:        %mkrel 1
URL:            http://freeglut.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# For the manpages
Source1:        http://downloads.sourceforge.net/openglut/openglut-0.6.3-doc.tar.gz
Patch0:         freeglut-glextconflict.patch
License:        MIT
Group:          System/Libraries
BuildRequires:  cmake
BuildRequires:  pkgconfig 
BuildRequires:  mesaglu-devel 
BuildRequires:  libxext-devel 
BuildRequires:  libxxf86vm-devel
BuildRequires:  libxi-devel 
BuildRequires:  libice-devel
# The virtual Provides below is present so that this freeglut package is a
# drop in binary replacement for "glut" which will satisfy rpm dependancies
# properly.  The Obsoletes tag is required in order for any pre-existing
# "glut" package to be removed and replaced with freeglut when upgrading to
# freeglut.  Note: This package will NOT co-exist with the glut package.

%description
freeglut is a completely open source alternative to the OpenGL Utility Toolkit
(GLUT) library with an OSI approved free software license. GLUT was originally
written by Mark Kilgard to support the sample programs in the second edition
OpenGL 'RedBook'. Since then, GLUT has been used in a wide variety of practical
applications because it is simple, universally available and highly portable.

freeglut allows the user to create and manage windows containing OpenGL
contexts on a wide range of platforms and also read the mouse, keyboard and
joystick functions.

%package -n     %{libname}
Summary:        A freely licensed alternative to the GLUT library
Group:          System/Libraries
Provides:       glut = 3.7
Obsoletes:      glut < 3.7

%description -n %{libname}
freeglut is a completely open source alternative to the OpenGL Utility Toolkit
(GLUT) library with an OSI approved free software license. GLUT was originally
written by Mark Kilgard to support the sample programs in the second edition
OpenGL 'RedBook'. Since then, GLUT has been used in a wide variety of practical
applications because it is simple, universally available and highly portable.

freeglut allows the user to create and manage windows containing OpenGL
contexts on a wide range of platforms and also read the mouse, keyboard and
joystick functions.


%package -n     %{develibname}
Summary:        Freeglut developmental libraries and header files
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       glut-devel = 3.7
Obsoletes:      glut-devel < 3.7
Provides:       %{name}-devel = %{version}-%{release}
Requires:	mesaglu-devel

%description -n %{develibname}
Developmental libraries and header files required for developing or compiling
software which links to the freeglut library, which is an open source
alternative to the popular GLUT library, with an OSI approved free software
license.


%prep
%setup -q -a 1
%autopatch -p1

%build
%{cmake} -DFREEGLUT_BUILD_STATIC_LIBS=OFF ..
%make

# (TV) fix permissions:
cd ..
chmod -x doc/*.png doc/*.html

%install
%make_install -C build

mkdir -p %{buildroot}/%{_mandir}/man3
install -p -m 644 doc/man/*.3 %{buildroot}/%{_mandir}/man3

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING README doc/*.png doc/*.html
# don't include contents of doc/ directory as it is mostly obsolete
%{_libdir}/libglut*.so.%{major}
%{_libdir}/libglut*.so.%{major}.*

%files -n %{develibname}
%{_includedir}/GL/*.h
%{_libdir}/libglut.so
%{_libdir}/pkgconfig/freeglut.pc
%{_mandir}/man3/*


%changelog
* Thu Jan 07 2016 luigiwalser <luigiwalser> 3.0.0-1.mga6
+ Revision: 920343
- 3.0.0
- build with cmake

* Wed Oct 15 2014 umeabot <umeabot> 2.8.1-4.mga5
+ Revision: 749353
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.8.1-3.mga5
+ Revision: 679337
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.8.1-2.mga4
+ Revision: 523752
- Mageia 4 Mass Rebuild

* Fri May 24 2013 luigiwalser <luigiwalser> 2.8.1-1.mga4
+ Revision: 426821
- re-diff patch0
- 2.8.1

* Fri Jan 11 2013 umeabot <umeabot> 2.8.0-4.mga3
+ Revision: 350855
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 fwang <fwang> 2.8.0-3.mga3
+ Revision: 304061
- fix conflict types

* Sun Mar 11 2012 anssi <anssi> 2.8.0-2.mga2
+ Revision: 222803
- change conflicts on mesaglut to obsoletes for smoother upgrade

* Thu Jan 05 2012 fwang <fwang> 2.8.0-1.mga2
+ Revision: 191008
- new version 2.8.0
  drop merged patches

* Thu Sep 15 2011 fwang <fwang> 2.6.0-6.mga2
+ Revision: 144028
- fix group
- add req on mesaglu as freeglut_std.h requires GL/glu.h

  + ahmad <ahmad>
    - The -devel package should provide '%%{name}-devel' (mga#2257)

* Wed Apr 20 2011 misc <misc> 2.6.0-4.mga1
+ Revision: 89134
- add a Requires on the library, not on main package
- remove explicit requires on -devel, as we have automated requires for that

* Tue Apr 19 2011 tv <tv> 2.6.0-3.mga1
+ Revision: 88822
- move Provides/Obsoletes/Conflicts into lib subpackage

* Tue Apr 19 2011 tv <tv> 2.6.0-2.mga1
+ Revision: 88460
- explicitely conflicts with %%libmesaglut3

* Tue Apr 19 2011 tv <tv> 2.6.0-1.mga1
+ Revision: 88413
- imported package freeglut

